## org.apache.poi.poifs.crypt
Class EncryptionVerifier

    java.lang.Object
      org.apache.poi.poifs.crypt.EncryptionVerifier

    public class EncryptionVerifier

extends java.lang.Object

Author:
  Maxim Valyanskiy, Gary King

Constructor Summary
`EncryptionVerifier(DocumentInputStream is, int encryptedLength)`
`EncryptionVerifier(java.lang.String descriptor)`

Method Summary
`int` `getAlgorithm()`
`int` `getCipherMode()`
`byte[]` `getEncryptedKey()`
`byte[]` `getSalt()`
`int` `getSpinCount()`
`byte[]` `getVerifier()`
`byte[]` `getVerifierHash()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionVerifier

    public EncryptionVerifier(java.lang.String descriptor)

### EncryptionVerifier

    public EncryptionVerifier(DocumentInputStream is,
                              int encryptedLength)

Method Detail

### getSalt

    public byte[] getSalt()

### getVerifier

    public byte[] getVerifier()

### getVerifierHash

    public byte[] getVerifierHash()

### getSpinCount

    public int getSpinCount()

### getCipherMode

    public int getCipherMode()

### getAlgorithm

    public int getAlgorithm()

### getEncryptedKey

    public byte[] getEncryptedKey()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.